All Endpoints
Generated reference for every operation in the OpenAPI spec.
The library exposes 69 endpoints, grouped below by tag. Each page documents the request body, query / path parameters, every response status code, and a copy-pasteable curl example.
Admin-console
GET /auth/admin/admins— List adminsGET /auth/admin/api/stats— Dashboard statsGET /auth/admin/config— Public admin-console configGET /auth/admin/me— Current adminPOST /auth/admin/admins— Create an adminPOST /auth/admin/login— Admin login (sets the session cookie)POST /auth/admin/logout— Admin logoutPOST /auth/admin/reset-password— Reset an admin's passwordPOST /auth/admin/signup— Create an admin (secret-key gated)PATCH /auth/admin/admins/{id}— Update an adminDELETE /auth/admin/admins/{id}— Delete an admin
Admin-permissions
GET /auth/admin/api/permissions— List permissionsGET /auth/admin/api/permissions/{id}— Get a permissionGET /auth/admin/api/permissions/categories— List permission categoriesGET /auth/admin/api/permissions/guards— List guard namespacesGET /auth/admin/api/permissions/search— Search permissionsPOST /auth/admin/api/permissions— Create a permissionPATCH /auth/admin/api/permissions/{id}— Update a permissionDELETE /auth/admin/api/permissions/{id}— Delete a permission
Admin-roles
GET /auth/admin/api/roles— List rolesPOST /auth/admin/api/roles— Create a rolePATCH /auth/admin/api/roles/{id}— Update a roleDELETE /auth/admin/api/roles/{id}— Delete a role
Admin-tenants
GET /auth/admin/api/tenants— List tenantsPOST /auth/admin/api/tenants— Create a tenantPATCH /auth/admin/api/tenants/{id}— Update a tenantDELETE /auth/admin/api/tenants/{id}— Delete a tenant
Admin-users
GET /auth/admin/api/users— List users (paginated, cross-tenant; filter by status/tenant/role/search)GET /auth/admin/api/users/{id}— Get a user (with roles, sessions, identities)GET /auth/admin/api/users/{id}/sessions— List a user's active sessionsPOST /auth/admin/api/users— Create a userPATCH /auth/admin/api/users/{id}— Update a userDELETE /auth/admin/api/users/{id}— Delete a userDELETE /auth/admin/api/users/{id}/sessions— Revoke all of a user's sessionsDELETE /auth/admin/api/users/{id}/sessions/{sessionId}— Revoke a single user sessionDELETE /auth/admin/api/users/{id}/totp-devices/{deviceId}— Remove a user's TOTP device
Authentication
GET /auth/accounts— List logged-in accounts (cookie multi-account)GET /auth/callback/{provider}— SSO CallbackGET /auth/client-config— Client configGET /auth/me— Get Session User Data and menage extra user data from configGET /auth/tenants/lookup— Resolve a tenant by slug (public)GET /auth/user— Get Logged In UserGET /auth/verify-session— Verify SessionPOST /auth/change-password— Change PasswordPOST /auth/forgot-password— Forgot passwordPOST /auth/invite— Invite a member (admin)POST /auth/login— LoginPOST /auth/logout— LogoutPOST /auth/logout-all— Logout AllPOST /auth/mfa/verify— Verify MFAPOST /auth/passwordless/send— Passwordless — send login code (email or SMS)POST /auth/refresh-token— Refresh TokenPOST /auth/reset-password— Reset passwordPOST /auth/send-email-verification— Send email verificationPOST /auth/send-phone-verification— Send phone verification (SMS OTP)POST /auth/signup— SignupPOST /auth/switch-tenant— Switch Active TenantPOST /auth/verify-email— Verify EmailPOST /auth/verify-forgot-password-otp— Verify Forgot Password OTP and get reset tokenPOST /auth/verify-phone— Verify phone number with OTP
Mfa
GET /auth/mfa/devices— List registered MFA devicesGET /auth/mfa/status— Get MFA status for the current userPOST /auth/mfa/challenge— Send MFA code for setup/verificationPOST /auth/mfa/generate-recovery-code— Generate Recovery CodesPOST /auth/mfa/reset-totp— Reset TOTP DevicePOST /auth/mfa/setup-totp— Setup TOTP DevicePOST /auth/mfa/toggle— Enable or disable MFA for the current userPOST /auth/mfa/verify-totp-setup— Verify TOTP SetupDELETE /auth/mfa/devices/{deviceId}— Remove a registered MFA device